=== debian/changelog ===
httpdirfs-fuse (1.0.1-1ubuntu1) eoan; urgency=medium

  * debian/patches/library-link-order.patch: Ensure libraries linked are
    listed after objects using them.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 03 Sep 2019 17:10:58 -0700

httpdirfs-fuse (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #918961)

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 25 Jan 2019 17:52:59 -0500
