=== debian/control ===
Source: httpdirfs-fuse
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jerome Charaoui <jerome@riseup.net>
Build-Depends: debhelper (>= 12),
               libgumbo-dev,
               libfuse-dev,
               libssl-dev,
               libcurl4-openssl-dev,
               pkg-config
Standards-Version: 4.3.0.1
Homepage: https://github.com/fangfufu/httpdirfs
Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs.git
Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs
Rules-Requires-Root: no

Package: httpdirfs
Architecture: linux-any kfreebsd-any
Depends: fuse,
         ${misc:Depends},
         ${shlibs:Depends}
Description: filesystem client for HTTP directory listings
 httpdirfs is program that can be used to mount HTTP directory listings
 (generated using an Apache DirectoryIndex, for example) as a virtual filesystem
 through the FUSE interface. It supports HTTP basic authentication.
