=== debian/changelog ===
httpdirfs-fuse (1.1.10-2) unstable; urgency=medium

  * Fix VCS-* field URLs

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 13 Sep 2019 09:59:40 -0400

httpdirfs-fuse (1.1.10-1) unstable; urgency=medium

  * New upstream release (Closes: #939361)

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 13 Sep 2019 09:25:10 -0400
