=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: httpdirfs-fuse
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jerome Charaoui <jerome@riseup.net>
+Maintainer: Jerome Charaoui <jerome@riseup.net>
 Build-Depends: debhelper (>= 12),
                libgumbo-dev,
                libfuse-dev,
                libssl-dev,
                libcurl4-openssl-dev,
                pkg-config
-Standards-Version: 4.3.0.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/fangfufu/httpdirfs
-Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs.git
-Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs
+Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
+Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse
 Rules-Requires-Root: no
 
 Package: httpdirfs
