=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,7 @@
 
 %:
 	prefix=/usr dh $@
+
+override_dh_clean:
+	dh_clean
+	$(RM) .depend
