=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/httpdirfs-fuse-$1\.tar\.gz/ \
  https://github.com/fangfufu/httpdirfs/releases .*/v?(\d\S+)\.tar\.gz
