=== debian/changelog ===
httpdirfs-fuse (1.2.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Jérôme Charaoui ]
  * New upstream version 1.2.3
  * Adjust debian/rules to build manpages
  * Add missing build-deps
  * Bump Standards-Version, no changes needed
  * Add autopkgtests

 -- Jerome Charaoui <jerome@riseup.net>  Fri, 22 Apr 2022 12:25:54 -0400
