=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Jerome Charaoui <jerome@riseup.net>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
+               help2man,
+               libexpat1-dev,
                libgumbo-dev,
                libfuse-dev,
                libssl-dev,
                libcurl4-openssl-dev,
+               uuid-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/fangfufu/httpdirfs
 Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
 Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse
