=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 %:
 	prefix=/usr dh $@
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_auto_clean:
 	$(RM) .depend
+
+execute_after_dh_auto_build:
+	$(MAKE) man
