=== debian/tests/control ===
Tests: 0001-smoketest
Depends:
  @,
  ca-certificates,
  gzip,
  kmod
Restrictions: allow-stderr, needs-root, needs-internet, isolation-machine
