## httpdirfs-fuse 1.2.4

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 VERSION = 1.2.3
 
-CFLAGS += -O2 -Wall -Wextra -Wshadow -rdynamic -D_GNU_SOURCE\
-	-D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"\
+CFLAGS += -g -O2  -Wall -Wextra -Wshadow \
+	-fsanitize=undefined -fanalyzer -Wno-analyzer-file-leak \
+	-rdynamic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DVERSION=\"$(VERSION)\"\
 	`pkg-config --cflags-only-I gumbo libcurl fuse uuid expat`
 LDFLAGS += `pkg-config --libs-only-L gumbo libcurl fuse uuid expat`
 LIBS = -pthread -lgumbo -lcurl -lfuse -lcrypto -lexpat
 COBJS = main.o network.o fuse_local.o link.o cache.o util.o sonic.o log.o\
-	config.o
+	config.o memcache.o
 
 OS := $(shell uname)
 ifeq ($(OS),Darwin)
@@ -56,17 +57,20 @@
 endif
 
 man: httpdirfs
-	help2man --no-discard-stderr ./httpdirfs > doc/man/httpdirfs.1
+	mkdir -p doc/man
+	help2man --name "mount HTTP directory as a virtual filesystem" \
+		--no-discard-stderr ./httpdirfs > doc/man/httpdirfs.1
 
 doc:
 	doxygen Doxyfile
 
 format:
-	indent -kr -nut src/*.c src/*.h
+	astyle --style=kr --align-pointer=name --max-code-length=80 src/*.c src/*.h
 
 clean:
 	-rm -f src/*.h~
 	-rm -f src/*.c~
+	-rm -f src/*orig
 	-rm -f *.o
 	-rm -f httpdirfs
