=== debian/changelog ===
httpdirfs-fuse (1.2.4-2) unstable; urgency=medium

  [ Amin Bandali ]
  * d/rules: fix build on architectures where undefined behaviour
    sanitizer is not supported.

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 31 Jan 2023 14:12:23 -0500

httpdirfs-fuse (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * d/gbp.conf: add config with new debian-branch name
  * d/control: fix my name
  * d/control: bump Standards-Version, no changes needed
  * d/rules: fix version number in Makefile
  * d/watch: fix URL and patterns
  * run wrap-and-sort -bastk

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 28 Jan 2023 09:34:33 -0500
