=== debian/control ===
Source: httpdirfs-fuse
Section: utils
Priority: optional
Maintainer: Jérôme Charaoui <jerome@riseup.net>
Build-Depends:
 debhelper-compat (= 12),
 help2man,
 libcurl4-openssl-dev,
 libexpat1-dev,
 libfuse-dev,
 libgumbo-dev,
 libssl-dev,
 pkg-config,
 uuid-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/fangfufu/httpdirfs
Vcs-Git: https://salsa.debian.org/lavamind/httpdirfs-fuse.git
Vcs-Browser: https://salsa.debian.org/lavamind/httpdirfs-fuse
Rules-Requires-Root: no

Package: httpdirfs
Architecture: kfreebsd-any linux-any
Depends:
 fuse,
 ${misc:Depends},
 ${shlibs:Depends},
Description: filesystem client for HTTP directory listings
 httpdirfs is program that can be used to mount HTTP directory listings
 (generated using an Apache DirectoryIndex, for example) as a virtual filesystem
 through the FUSE interface. It supports HTTP basic authentication.
