=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	prefix=/usr dh $@

execute_after_dh_auto_clean:
	$(RM) .depend

execute_before_dh_auto_configure:
	sed -i "s,^VERSION\s\+=.*,VERSION = $(DEB_VERSION_UPSTREAM)," Makefile
ifneq (,$(filter $(DEB_HOST_ARCH), mips64el mipsel alpha hppa ia64 powerpc riscv64 sh4))
# Disable undefined behaviour sanitizer on unsupported architectures
	sed -i "s/-fsanitize=undefined//" Makefile
endif

execute_after_dh_auto_build:
	$(MAKE) man
