=== debian/watch ===
version=4
opts=filenamemangle=s/@ANY_VERSION@\.tar\.gz/httpdirfs-fuse-$1\.tar\.gz/ \
  https://github.com/fangfufu/httpdirfs/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
