=== debian/changelog ===
httpdirfs-fuse (1.2.5-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:45 +1100

httpdirfs-fuse (1.2.5-1build3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:25:55 +0000

httpdirfs-fuse (1.2.5-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:13:01 +0000

httpdirfs-fuse (1.2.5-1build1) noble; urgency=medium

  * No-change rebuild against libgumbo2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 Oct 2023 03:01:23 +0000

httpdirfs-fuse (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5 (Closes: #1031744)
  * d/control: bump debhelper-compat to 13
  * d/rules: ubsan is not used anymore
  * d/watch: fix filenamemangle

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 25 Feb 2023 12:29:09 -0500
