=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: httpdirfs-fuse
 Section: utils
 Priority: optional
-Maintainer: Jérôme Charaoui <jerome@riseup.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérôme Charaoui <jerome@riseup.net>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  help2man,
  libcurl4-openssl-dev,
  libexpat1-dev,
