## httpdirfs-fuse 1.2.7

=== debian/changelog ===
httpdirfs-fuse (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * d/control: update build dependencies
  * d/control: bump Standards-Version, no changes needed
  * d/patches: backport upstream patch removing -Werror
  * d/rules: update for new buildsystem
  * d/watch: update to recommended github config

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 30 Apr 2025 15:48:22 -0400
